PDA

View Full Version : Error, possible bug.


Usurpo
10-04-2003, 11:03 PM
When I go to devmap a map I made, using both JO and JA, it gives me an error saying:

Error: CM_LoadMap: maps/firstmap.bsp jas wrong version number (1935764579 should be 1)

I tried changed the format to a .map instead of the .bsp, but nothing works! Why is this happening? Please reply!

Lil Killa
10-05-2003, 01:44 AM
Took this from the Rich Diesal tutorial site.


"Version is 12415234, expected 1"
This is a common error with a large number of completely random causes - but the most obvious is an illegal brush. While most illegal brushes are found during the BSP process (halting it), sometimes one sneaks through the system and causes this error. Illegal brushes of this type are most often causes by using CSG Subtract (Remember how I said it was evil? This is one of the reasons.) Find the brush you CSG Subtracted from, delete it, and build it from scratch to repair the problem. If you are completely lost as to which brush it might be, download a copy of GTKRadiant (not available from this website) and use Brush Cleanup in BobzTools. That will eliminate the problem.


I know the verssion number is diff from u but that is your solution.

Usurpo
10-05-2003, 02:42 AM
! That makes perfect sense! When I ran the compiler, it suddenly shut down on me...the DOS window, that is. So this bad brush would have corrupted it...thank you so much. The map I am making, BaseWars, is going to be one hell of a map. If you are as good as you sound, go ahead and PM me. I want to give you some details, see what you think. Thanks a million!